﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace C1ComboBoxHeightIssue
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            c1ComboBox1.ItemsDataSource = GetTable();
            c1ComboBox1.ItemsDisplayMember = "ItemName";
            c1ComboBox1.ItemsValueMember = "ItemName";
            c1ComboBox1.HtmlPattern = "<table><tr><td Height=\"50\">{Text}</td></tr></table>";
            c1ComboBox1.ItemMode = C1.Win.C1Input.ComboItemMode.HtmlPattern;
        }
        static DataTable GetTable()
        {
            // Here we create a DataTable with four columns.
            DataTable table = new DataTable();
            table.Columns.Add("ItemName", typeof(string));
            // Here we add five DataRows.
            table.Rows.Add("First");
            table.Rows.Add("Second");
            table.Rows.Add("Third");
            table.Rows.Add("Four");
            table.Rows.Add("Five");

            return table;
        }
    }
}
